%define upstream_name    Text-VimColor
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Syntax color text in HTML or XML using Vim
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install)
BuildRequires: perl(Path::Class)
BuildRequires: perl-devel
BuildRequires: vim-enhanced
Requires: vim-enhanced
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This module tries to markup text files according to their syntax. It can be
used to produce web pages with pretty-printed colourful source code
samples. It can produce output in the following formats:

* HTML

  Valid XHTML 1.0, with the exact colouring and style left to a CSS
  stylesheet

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/text-vimcolor
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog

* Fri Dec 23 2011 shlomif <shlomif> 0.140.0-1.mga2
+ Revision: 186647
- Add the File::ShareDir BR
- New version - 0.14
- imported package perl-Text-VimColor


* Thu Nov 26 2009 cpan2dist 0.11-1mdv
- initial mdv release, generated with cpan2dist
